> For the complete documentation index, see [llms.txt](https://docs.coda.co/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.coda.co/payout/integration-guides/api-reference/initiate-a-payout-request/country-details/indonesia.md).

# Indonesia

{% hint style="info" %}
For Indonesia Payout, Coda may request additional KYC documents or conduct further compliance review in certain cases, in accordance with internal compliance requirements. If such a review is required, Coda will notify the relevant party separately via email and advise on the required documents or next steps.
{% endhint %}

## <mark style="color:purple;">Wallets</mark>

* payout\_method.type = wallet
* payout\_method.payment\_method = wallets

| payout\_method\_details Parameter | Type   | Required | Description                                                                                                                                                                                                                                         |
| --------------------------------- | ------ | -------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| phone\_number                     | string | No       | <p><a href="https://www.globalcallforwarding.com/blog/what-is-e-164/">E164 format</a> e.g. +62XXXXXXXXX. </p><p></p><p><strong>Mandatory for all wallets except Doku</strong>.</p><p></p><p>If Doku (bank\_code = “DOKU”), send empty string “”</p> |
| account\_number                   | string | No       | <p><strong>Mandatory for Dok’u (bank\_code = DOKU). If Doku, send Doku Wallet ID</strong>.</p><p></p><p>If other wallets, send empty string “”</p>                                                                                                  |
| bank\_code                        | string | Yes      | See “Indonesia Bank Codes” below                                                                                                                                                                                                                    |

### <mark style="color:purple;">Example Wallet Payload</mark>

{% tabs %}
{% tab title="Example Request" %}

```javascript
{
  "payout_method": {
    "type": "wallet",
    "payment_method": "DOKU",
    "beneficiary": {
      "name": "John Doe",
      "payout_method_details": {
        "phone_number": "+62222222222",
        "account_number": "",
        "bank_code": "DOKU"
      }
    }
  },
  "amount": {
    "value": 500,
    "currency_code": "IDR"
  },
  "country_code": "ID",
  "purpose": "salaries",
  "reference": "Invoice #12345",
  "request_id": "unique_request_id"
}
```

{% endtab %}

{% tab title="Example Response" %}

```python
{
    "purpose": "SALARIES",
    "reference": "Invoice #12345",
    "id": "87be5e5d-75d0-43f4-ad2e-06e17f2f85a2",
    "payout_method": {
        "type": "wallet",
        "payment_method": "id_wallets",
        "beneficiary_details": {
            "name": "John Doe"
        }
    },
    "amount": {
        "value": 500,
        "currency_code": "IDR"
    },
    "country_code": "ID",
    "request_id": "unique_request_id",
    "created_at": 1710129461
}
```

{% endtab %}
{% endtabs %}

## <mark style="color:purple;">Bank Transfer</mark>

* payout\_method.type = bank\_transfer
* payout\_method.payment\_method = bank\_transfer

| payout\_method\_details Parameter | Type   | Required | Description                                       |
| --------------------------------- | ------ | -------- | ------------------------------------------------- |
| account\_number                   | string | Yes      | Beneficiary’s bank account number e.g. 6790153860 |
| bank\_code                        | string | Yes      | See “Indonesia Bank Codes” below                  |

### <mark style="color:purple;">Example Bank Transfer Payload</mark>

{% tabs %}
{% tab title="Example Request" %}

```javascript
{
  "payout_method": {
    "type": "bank_transfer",
    "payment_method": "bank_transfer",
    "beneficiary": {
      "name": "John Doe",
      "payout_method_details": {
        "account_number": "6790153860",
        "bank_code": "BANK BRI"
      }
    }
  },
  "amount": {
    "value": 500,
    "currency_code": "IDR"
  },
  "country_code": "ID",
  "purpose": "salaries",
  "request_id": "unique_request_id"
}
```

{% endtab %}

{% tab title="Example Response" %}

```python
{
    "purpose": "SALARIES",
    "reference": null,
    "id": "8b697424-a2d9-4cfa-8ae0-296807874860",
    "payout_method": {
        "type": "bank_transfer",
        "payment_method": "id_bank_transfer",
        "beneficiary_details": {
            "name": "John Doe"
        }
    },
    "amount": {
        "value": 500,
        "currency_code": "IDR"
    },
    "country_code": "ID",
    "request_id": "unique_request_id",
    "created_at": 1710128764
}
```

{% endtab %}
{% endtabs %}

## <mark style="color:purple;">Indonesia Bank Codes</mark>

| Type   | Bank Name | Bank Code |
| ------ | --------- | --------- |
| Wallet | Dana      | DANA      |

| Type          | Bank Name                         | Bank Code |
| ------------- | --------------------------------- | --------- |
| Bank Transfer | BANK BRI                          | 002       |
|               | BANK MANDIRI                      | 008       |
|               | BANK BNI 46                       | 009       |
|               | BANK DANAMON INDONESIA            | 011       |
|               | BANK PERMATA                      | 013       |
|               | Bank BCA                          | 014       |
|               | BII Maybank                       | 016       |
|               | BANK PANIN                        | 019       |
|               | BANK CIMB NIAGA                   | 022       |
|               | BANK UOB BUANA INDONESIA          | 023       |
|               | BANK OCBC NISP                    | 028       |
|               | CITIBANK                          | 031       |
|               | BANK CCB INDONESIA                | 036       |
|               | BANK ARTHA GRAHA                  | 037       |
|               | MUFG BANK                         | 042       |
|               | BANK DBS INDONESIA                | 046       |
|               | BANK STANDARD CHARTERED           | 050       |
|               | BANK CAPITAL                      | 054       |
|               | BANK ANZ INDONESIA                | 061       |
|               | THE BANK OF CHINA                 | 069       |
|               | BANK BUMI ARTA                    | 076       |
|               | BANK HSBC                         | 087       |
|               | BANK JTRUST INDONESIA             | 095       |
|               | BANK MAYAPADA INTERNATIONAL       | 097       |
|               | BANK JABAR                        | 110       |
|               | BPD DKI JAKARTA                   | 111       |
|               | BPD DIY                           | 112       |
|               | BANK JATENG                       | 113       |
|               | Bank Jatim                        | 114       |
|               | BPD JAMBI                         | 115       |
|               | BPD ACEH                          | 116       |
|               | BANK SUMUT                        | 117       |
|               | BPD SUMATERA BARAT/BANK NAGARI    | 118       |
|               | BPD RIAU                          | 119       |
|               | BPD SUMSEL BABEL                  | 120       |
|               | BPD LAMPUNG                       | 121       |
|               | BPD KALSEL                        | 122       |
|               | BPD KALBAR                        | 123       |
|               | BPD KALTIMTARA                    | 124       |
|               | BPD KALTENG                       | 125       |
|               | BANK SULSELBAR                    | 126       |
|               | BANK SULUTGO                      | 127       |
|               | BPD NUSA TENGGARA BARAT           | 128       |
|               | BPD BALI                          | 129       |
|               | Bank NTT                          | 130       |
|               | BPD MALUKU                        | 131       |
|               | BPD PAPUA                         | 132       |
|               | BPD BENGKULU                      | 133       |
|               | BPD SULAWESI TENGAH               | 134       |
|               | BPD SULAWESI TENGGARA             | 135       |
|               | BPD BANTEN                        | 137       |
|               | BANK OF INDIA INDONESIA           | 146       |
|               | BANK MUAMALAT INDONESIA           | 147       |
|               | BANK MESTIKA DHARMA               | 151       |
|               | BANK SHINHAN INDONESIA            | 152       |
|               | BANK SINARMAS                     | 153       |
|               | BANK MASPION INDONESIA            | 157       |
|               | BANK GANESHA                      | 161       |
|               | BANK ICBC                         | 164       |
|               | BANK QNB KESAWAN                  | 167       |
|               | Bank BTN                          | 200       |
|               | BANK WOORI SAUDARA                | 212       |
|               | Bank BTPN                         | 213       |
|               | BANK VICTORIA SYARIAH             | 405       |
|               | BANK JABAR BANTEN SYARIAH         | 425       |
|               | BANK MEGA                         | 426       |
|               | BANK KB BUKOPIN                   | 441       |
|               | BANK BSI (BANK SYARIAH INDONESIA) | 451       |
|               | BANK JASA JAKARTA                 | 472       |
|               | BANK KEB HANA                     | 484       |
|               | BANK MNC INTERNASIONAL            | 485       |
|               | BANK NEO COMMERCE                 | 490       |
|               | BANK RAYA INDONESIA               | 494       |
|               | BANK SBI INDONESIA                | 498       |
|               | BANK DIGITAL BCA                  | 501       |
|               | BANK NATIONAL NOBU                | 503       |
|               | BANK SYARIAH MEGA                 | 506       |
|               | BANK INA PERDANA                  | 513       |
|               | BANK PANIN DUBAI SYARIAH          | 517       |
|               | BANK PRIMA MASTER                 | 520       |
|               | BANK BUKOPIN SYARIAH              | 521       |
|               | BANK SAHABAT SAMPOERNA            | 523       |
|               | BANK OKE INDONESIA                | 526       |
|               | BANK SEABANK INDONESIA            | 535       |
|               | BANK BCA SYARIAH                  | 536       |
|               | BANK JAGO                         | 542       |
|               | BANK BTPN SYARIAH                 | 547       |
|               | BANK MULTI ARTA SENTOSA           | 548       |
|               | BANK MAYORA                       | 553       |
|               | BANK INDEX SELINDO                | 555       |
|               | BANK MANDIRI TASPEN POS           | 564       |
|               | BANK VICTORIA INTERNASIONAL       | 566       |
|               | BANK ALLO                         | 567       |
|               | LINKAJA                           | 911       |
|               | BANK IBK INDONESIA                | 945       |
|               | BANK ALADIN SYARIAH               | 947       |
|               | BANK CTBC INDONESIA               | 949       |
|               | BANK COMMONWEALTH                 | 950       |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.coda.co/payout/integration-guides/api-reference/initiate-a-payout-request/country-details/indonesia.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
